org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTWhileStatement

All Superinterfaces:
  IASTAttributeOwner, IASTNode, IASTStatement, IASTWhileStatement

    public interface ICPPASTWhileStatement
    extends IASTWhileStatement

This interface accommodates C++ allows for broader while loop syntax.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `CONDITIONDECLARATION` In C++ conditions can be declarations w/side effects.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTWhileStatement

`BODY, CONDITIONEXPRESSION`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTWhileStatement` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTWhileStatement` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTDeclaration` `getConditionDeclaration()` Get the condition declaration.
`IScope` `getScope()` Get the `IScope` represented by this while.
`void` `setConditionDeclaration(IASTDeclaration declaration)` Set the condition declaration.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTWhileStatement

`getBody, getCondition, setBody, setCondition`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### CONDITIONDECLARATION

    static final ASTNodeProperty CONDITIONDECLARATION

In C++ conditions can be declarations w/side effects.

### Method Detail

#### getConditionDeclaration

    IASTDeclaration getConditionDeclaration()

Get the condition declaration.

Returns:
  `IASTDeclaration`

#### setConditionDeclaration

    void setConditionDeclaration(IASTDeclaration declaration)

Set the condition declaration.

Parameters:
  `declaration` - `IASTDeclaration`

#### getScope

    IScope getScope()

Get the `IScope` represented by this while.

Returns:
  `IScope`

#### copy

    ICPPASTWhileStatement copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Specified by:
  `copy` in interface `IASTWhileStatement`
Since:
  5.1

#### copy

    ICPPASTWhileStatement copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Specified by:
  `copy` in interface `IASTWhileStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3